Difference between revisions of "MediaWiki:Mobile.css"

From Enduro.team
Jump to: navigation, search
(Полностью удалено содержимое страницы)
m
(Tags: Mobile edit, Mobile web edit)
 
(95 intermediate revisions by the same user not shown)
Line 1: Line 1:
 +
.mobile-float-reset {
 +
float: center !important;
 +
width: 100% !important;
 +
}
  
 +
@media (max-width: 719px) {
 +
 +
.page-Заглавная_страница .header-container.header-chrome {
 +
box-shadow:none;
 +
}
 +
 +
}
 +
 +
.main-top-right > ul {
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
-webkit-flex-wrap: wrap;
 +
}
 +
 +
.main-featuredLists > .main-featuredLists-item {
 +
-webkit-box-align: stretch;
 +
-webkit-align-items: stretch;
 +
-webkit-column-break-inside: avoid;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-featuredLists-item > img {
 +
-webkit-box-flex: 0;
 +
-webkit-flex: 0 auto;
 +
}
 +
 +
.main-footer {
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
-webkit-box-pack: end;
 +
-webkit-justify-content: flex-end;
 +
}
 +
 +
.main-footer-actions {
 +
-webkit-box-flex: 1;
 +
-webkit-flex: 1;
 +
}
 +
 +
.main-footer-actions > ul {
 +
-webkit-box-align: center;
 +
-webkit-align-items: center;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-footer-menu {
 +
-webkit-box-align: stretch;
 +
-webkit-align-items: stretch;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-footer-menuToggle {
 +
-webkit-box-align: center;
 +
-webkit-align-items: center;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-wikimedia-list {
 +
-webkit-column-count: 4;
 +
-webkit-column-width: 15em;
 +
}
 +
 +
.main-wikimedia-list > .main-wikimedia-listItem {
 +
-webkit-box-align: stretch;
 +
-webkit-align-items: stretch;
 +
-webkit-column-break-inside: avoid;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-wikimedia-listItem > img {
 +
-webkit-box-flex: 0;
 +
-webkit-flex: 0 auto;
 +
}
 +
 +
.main-wikimedia-listItem > a {
 +
-webkit-box-flex: 1;
 +
-webkit-flex: 1;
 +
}
 +
 +
@media (max-width: 719px) {
 +
.main-wikimedia-list {
 +
-webkit-column-width: 10em;
 +
}
 +
}
 +
 +
@media (min-width: 1000px) {
 +
.main-wrapper {
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-wrapper-column {
 +
-webkit-box-flex: 1;
 +
-webkit-flex: 1;
 +
}
 +
 +
.main-top {
 +
-webkit-box-align: center;
 +
-webkit-align-items: center;
 +
display: -webkit-box;
 +
display: -webkit-flex;
 +
}
 +
 +
.main-top-left {
 +
background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
 +
-webkit-box-flex: 3;
 +
-webkit-flex: 3;
 +
}
 +
 +
.main-top-right {
 +
-webkit-box-flex: 2;
 +
-webkit-flex: 2;
 +
}
 +
 +
.main-top-right > ul {
 +
-webkit-box-align: center;
 +
-webkit-align-items: center;
 +
-webkit-box-orient: horizontal;
 +
-webkit-box-direction: reverse;
 +
-webkit-flex-direction: row-reverse;
 +
-webkit-box-pack: left;
 +
-webkit-justify-content: left;
 +
}
 +
 +
 +
 +
a.goog-logo-link img { display: none; }
 +
 +
a.goog-logo-link { display: none; }
 +
 +
#p-googletranslator-label { display: none; }
 +
 +
#p-googletranslator.portal {
 +
    height: 25px;
 +
    width: 90%;
 +
}
 +
 +
select.goog-te-combo { width: 100%; }
 +
 +
div.skiptranslate.goog-te-gadget { font-size:0; }
 +
 +
td#options { display: none; }
 +
 +
div.mw-filepage-resolutioninfo { display: none; }
 +
 +
div#mw-imagepage-content.mw-content-ltr { display: none; }
 +
 +
#mw-imagepage-nolinkstoimage { display: none; }
 +
 +
#filelinks { display: none; }
 +
 +
#filehistory { display: none; }
 +
 +
#metadata { display: none; }
 +
 +
#mw-imagepage-section-filehistory { display: none; }
 +
 +
div.mw-imagepage-section-metadata { display: none; }
 +
 +
#mw-imagepage-upload-disallowed { display: none; }
 +
 +
ul#filetoc { display: none; }
 +
 +
div.mediaWarning  { display: none; }
 +
 +
.mw-redirectedfrom { display: none; }
 +
 +
li#footer-places-privacy { display: none; }
 +
 +
div.last-modified-bar { display: none; }
 +
 +
div#page-secondary-actions.post-content { display: none; }
 +
 +
body {
 +
  background: url(images/white.jpg) no-repeat center center fixed;
 +
  -webkit-background-size: cover;
 +
  -moz-background-size: cover;
 +
  -o-background-size: cover;
 +
  background-size: cover;
 +
}
 +
div#mw-page-base { opacity: 0.01; }
 +
div#content.mw-body { opacity: 0.9; }
 +
 +
@media (prefers-color-scheme: dark) {
 +
 +
body {
 +
  background: url(images/black.jpg) no-repeat center center fixed;
 +
  -webkit-background-size: cover;
 +
  -moz-background-size: cover;
 +
  -o-background-size: cover;
 +
  background-size: cover;
 +
  background-color: #181818;
 +
}
 +
 +
html:not(img):not(video):not(.all-color-critical-elements) {
 +
      background: black;
 +
      filter: invert(1) hue-rotate(180deg);
 +
}
 +
img, form {
 +
    filter: invert(1) hue-rotate(-180deg);
 +
}
 +
 +
}

Latest revision as of 17:24, 10 January 2021

.mobile-float-reset {
	float: center !important;
	width: 100% !important;
}

@media (max-width: 719px) {
	
	.page-Заглавная_страница .header-container.header-chrome {
		box-shadow:none; 
	}
	
}

.main-top-right > ul {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-flex-wrap: wrap;
}

.main-featuredLists > .main-featuredLists-item {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-featuredLists-item > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-footer {
	display: -webkit-box;
	display: -webkit-flex;
	-webkit-box-pack: end;
	-webkit-justify-content: flex-end;
}

.main-footer-actions {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-footer-actions > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menu {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-footer-menuToggle {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-list {
	-webkit-column-count: 4;
	-webkit-column-width: 15em;
}

.main-wikimedia-list > .main-wikimedia-listItem {
	-webkit-box-align: stretch;
	-webkit-align-items: stretch;
	-webkit-column-break-inside: avoid;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wikimedia-listItem > img {
	-webkit-box-flex: 0;
	-webkit-flex: 0 auto;
}

.main-wikimedia-listItem > a {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

@media (max-width: 719px) {
	.main-wikimedia-list {
	-webkit-column-width: 10em;
}
}

@media (min-width: 1000px) {
	.main-wrapper {
	display: -webkit-box;
	display: -webkit-flex;
}

.main-wrapper-column {
	-webkit-box-flex: 1;
	-webkit-flex: 1;
}

.main-top {
	-webkit-box-align: center;
	-webkit-align-items: center;
	display: -webkit-box;
	display: -webkit-flex;
}

.main-top-left {
	background-image: -webkit-linear-gradient(left, #f8f9fa 0%, #f8f9fa 70%, rgba(248, 249, 250, 0) 100%);
	-webkit-box-flex: 3;
	-webkit-flex: 3;
}
	
.main-top-right {
	-webkit-box-flex: 2;
	-webkit-flex: 2;
}

.main-top-right > ul {
	-webkit-box-align: center;
	-webkit-align-items: center;
	-webkit-box-orient: horizontal;
	-webkit-box-direction: reverse;
	-webkit-flex-direction: row-reverse;
	-webkit-box-pack: left;
	-webkit-justify-content: left;
}



a.goog-logo-link img { display: none; }

a.goog-logo-link { display: none; }

#p-googletranslator-label { display: none; }

#p-googletranslator.portal {
    height: 25px;
    width: 90%;
}

select.goog-te-combo { width: 100%; }

div.skiptranslate.goog-te-gadget { font-size:0; }

td#options { display: none; }

div.mw-filepage-resolutioninfo { display: none; }

div#mw-imagepage-content.mw-content-ltr { display: none; }

#mw-imagepage-nolinkstoimage { display: none; }

#filelinks { display: none; }

#filehistory { display: none; }

#metadata { display: none; }

#mw-imagepage-section-filehistory { display: none; }

div.mw-imagepage-section-metadata { display: none; }

#mw-imagepage-upload-disallowed { display: none; }

ul#filetoc { display: none; }

div.mediaWarning  { display: none; }

.mw-redirectedfrom { display: none; }

li#footer-places-privacy { display: none; }

div.last-modified-bar { display: none; }

div#page-secondary-actions.post-content { display: none; }

body { 
  background: url(images/white.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
}
div#mw-page-base { opacity: 0.01; }
div#content.mw-body { opacity: 0.9; }

@media (prefers-color-scheme: dark) {

body { 
  background: url(images/black.jpg) no-repeat center center fixed; 
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-color: #181818;
}

html:not(img):not(video):not(.all-color-critical-elements) { 
       background: black;
       filter: invert(1) hue-rotate(180deg);
}
img, form {
    filter: invert(1) hue-rotate(-180deg);
}

}